> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/security/ccs/key-pair/modifykeypairattribute.md).

# ModifyKeyPairAttribute

## 1. API Description

This API (ModifyKeyPairAttribute) is used to The API is used to modify the attributes of an SSH key pair.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Only</mark> <mark style="color:blue;">**Description**</mark> <mark style="color:blue;">is supported to be modified for now.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                         |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------- |
| keyId          | Yes      | String | <p>Key pair ID.</p><p>For example: key-xxxxxxxx</p>                                 |
| keyDescription | No       | String | <p>Description of key pair.</p><p>Up to 255 characters in length are supported.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the attributes of an SSH key pair.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyKeyPairAttribute
<Common Request Params>

Request:
{
  "keyId": "key-xxxx",
  "keyDescription": "test-description"
}

Response:
{
  "requestId": "TE5661D09-28A7-4BDA-ACB1-106EDD916682",
  "response": {
    "requestId": "TE5661D09-28A7-4BDA-ACB1-106EDD916682"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                     | Description         |
| ---------------- | ------------------------------ | ------------------- |
| 404              | INVALID\_KEY\_PAIR\_NOT\_FOUND | Key pair not found. |
